Bug 570458 - wxHtmlEasyPrinting::PreviewFile window at background under wxGTK2
Summary: wxHtmlEasyPrinting::PreviewFile window at background under wxGTK2
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-04 11:52 UTC by Domingo Becker
Modified: 2010-05-15 20:44 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-28 12:09:46 UTC


Attachments (Terms of Use)

Description Domingo Becker 2010-03-04 11:52:18 UTC
Description of problem:
wxHtmlEasyPrinting::PreviewFile window is shown at background when the parent window is a wxDialog derived class under wxGTK2. So, when the parent window is a large one, it hides the wxPreviewFrame window. If I move the parent window and click on the preview window it does not come to the foreground.
The solution was given in [1], but, for some reason, it has not been applied to Fedora 11's wxGTK package.
Is it possible to apply ticket 10341 [1] solution to this package?
I use a Fedora 11 box to build my software for some Fedora 11 and Fedora 12 desktops.

[1] http://trac.wxwidgets.org/ticket/10341

Version-Release number of selected component (if applicable):
Fedora 11
wxGTK-2.8.10-5

How reproducible:
always

Steps to Reproduce:
1. Create a wxGTK program with a dialog as the parent windows.
2. Create a wxHtmlEasyPrinting object and PreviewFile. The preview window is shown in background and there's no way to bring it to foreground.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dan Horák 2010-03-04 12:54:05 UTC
I don't plan any update to the 2.8.10 packages, because wxGTK 2.8.11 (containing the mentioned fix) should be released very soon. I have a package for 2.8.11-rc2 ready and now I did a scratch build in koji - please download the rpms from https://koji.fedoraproject.org/koji/taskinfo?taskID=2030316 and let me know if it fixes this issue.

Comment 2 Dan Horák 2010-03-04 12:54:35 UTC
or rather try http://koji.fedoraproject.org/koji/taskinfo?taskID=2030316

Comment 3 Domingo Becker 2010-03-04 13:36:13 UTC
(In reply to comment #2)
> or rather try http://koji.fedoraproject.org/koji/taskinfo?taskID=2030316    

Oops
I filed a bug against firefox because I wasn't able to open the page with https.

Comment 4 Domingo Becker 2010-03-04 14:06:50 UTC
It works fine in the development box.
Thank you.

But I need the wxGTK update in the other desktops.

When will it be available in the update system?

kind regards

Comment 5 Dan Horák 2010-03-04 14:32:51 UTC
The 2.8.11 release was expected end of February, so in my opinion it should get out in the next few weeks. And then I will update the wxGTK package.

Comment 6 Fedora Update System 2010-04-26 17:54:44 UTC
wxGTK-2.8.11-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc12

Comment 7 Fedora Update System 2010-04-26 17:54:53 UTC
wxGTK-2.8.11-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc11

Comment 8 Fedora Update System 2010-04-26 17:55:01 UTC
wxGTK-2.8.11-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.el4

Comment 9 Fedora Update System 2010-04-26 17:55:10 UTC
wxGTK-2.8.11-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc13

Comment 10 Fedora Update System 2010-04-26 17:55:19 UTC
wxGTK-2.8.11-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.el5

Comment 11 Fedora Update System 2010-04-26 23:24:13 UTC
wxGTK-2.8.11-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.el5

Comment 12 Fedora Update System 2010-04-26 23:26:12 UTC
wxGTK-2.8.11-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.el4

Comment 13 Fedora Update System 2010-04-27 05:49:33 UTC
wxGTK-2.8.11-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc13

Comment 14 Fedora Update System 2010-04-28 01:11:11 UTC
wxGTK-2.8.11-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc11

Comment 15 Fedora Update System 2010-04-28 01:11:33 UTC
wxGTK-2.8.11-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc12

Comment 16 Domingo Becker 2010-04-28 11:55:32 UTC
(In reply to comment #15)
> wxGTK-2.8.11-1.fc12 has been pushed to the Fedora 12 testing repository.  If
> problems still persist, please make note of it in this bug report.

(And in reply to comment #14)
> wxGTK-2.8.11-1.fc11 has been pushed to the Fedora 11 testing repository. 

I tested these two, and they work just fine.
Thank you.

kind regards

Domingo Becker

Comment 17 Bug Zapper 2010-04-28 11:55:44 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Fedora Update System 2010-05-14 01:07:14 UTC
wxGTK-2.8.11-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-05-14 01:07:44 UTC
wxGTK-2.8.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-05-15 20:25:28 UTC
wxGTK-2.8.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-05-15 20:32:54 UTC
wxGTK-2.8.11-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-05-15 20:43:55 UTC
wxGTK-2.8.11-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.